Package Details: openxr-utils-git 1.0.12.r22.g06b5b7f-1

Git Clone URL: https://aur.archlinux.org/openxr-loader-git.git (read-only, click to copy)
Package Base: openxr-loader-git
Description: OpenXR Utils: hello_xr, runtime_list
Upstream URL: https://github.com/KhronosGroup/OpenXR-SDK-Source
Licenses: Apache
Provides: openxr-utils
Submitter: haagch
Maintainer: haagch (lubosz)
Last Packager: haagch
Votes: 4
Popularity: 0.189166
First Submitted: 2019-03-18 13:54
Last Updated: 2020-11-21 23:04

Latest Comments

haagch commented on 2020-05-03 21:18

yep, it has been upstreamed. https://github.com/KhronosGroup/OpenXR-SDK-Source/commit/a013fcd3bee509a7d95ce7602a6f53ef91dc3274 PKGBUILD is updated now.

PedroHLC commented on 2020-05-03 21:15

Seems that patching is no longer required:

==> Starting prepare()...
patching file src/tests/hello_xr/graphicsplugin_vulkan.cpp
Reversed (or previously applied) patch detected!  Assume -R? [n] Terminated
==> ERROR: A failure occurred in prepare().

haagch commented on 2020-04-06 19:45

Indeed, I added some depends and makedepends.

PedroHLC commented on 2020-04-06 19:03

- Presentation backend selected for hello_xr, loader_test, conformance: xlib
-- Could NOT find X11 (missing: X11_X11_INCLUDE_PATH X11_X11_LIB)
-- Found PkgConfig: /usr/sbin/pkg-config (found version "1.6.3")
-- Checking for one of the modules 'xcb'
-- Checking for one of the modules 'wayland-client'
-- BUILD_WITH_XLIB_HEADERS: OFF
-- BUILD_WITH_XCB_HEADERS: OFF
-- BUILD_WITH_WAYLAND_HEADERS: OFF
CMake Error at src/cmake/presentation.cmake:43 (message):
  xlib backend selected, but BUILD_WITH_XLIB_HEADERS either disabled or
  unavailable due to missing dependencies.
Call Stack (most recent call first):
  src/CMakeLists.txt:104 (include)

Missing dependencies to build in a clean chroot.

EDIT: Adding libxcb we have this: Package 'xproto', required by *****, not found

EDIT2: Adding xorgproto we have this: BUILD_WITH_XLIB_HEADERS either disabled or unavailable

Then, adding libx11 we have this: OpenXR tests using xlib backend requires Xxf86vm and Xrandr

Add libxxf86vm and xorg-xrandr (or lib, not sure)

Then: Python 3 not found, but pre-generated Add python (makedepends only, not sure)

haagch commented on 2019-12-20 19:54

Updated to build from the OpenXR-SDK-Source repo instead of OpenXR-SDK. You might need to delete your cached copy of the repo and src/.

It also builds two new split packages openxr-layers-git and openxr-utils-git.

haagch commented on 2019-08-06 00:01

Updated pkgver to include the latest release tag in the version.

I don't know if this shows as an update in aur helpers, you might have to rebuild yourself to get the newer versions.

haagch commented on 2019-05-15 14:12

Fixed and submitted as public PR: https://github.com/KhronosGroup/OpenXR-SDK/pull/48

haagch commented on 2019-05-09 09:09

After https://github.com/KhronosGroup/OpenXR-SDK/commit/50ebb7d3dede1f439299d6f969508de0041ace45 i guess it would. It's still missing installation of the layers and configuration+installation of the pkg-config file, so I'll update it.

linkmauve commented on 2019-05-08 19:33

Hi, the provided patch fails to apply on current master, preventing this package from building.